<?php

namespace Drupal\language_converter\Exception;

/**
 * Google Translate API Client
 *
 * @author Praveen Achanta
 */
class InvalidTextException extends \InvalidArgumentException
{
  /**
   * @inheritdoc 
   */
  public function __construct(
    $message = 'Invalid text',
    $code = 2,
    \Exception $previous = null
  ) {
    parent::__construct($message, $code, $previous);
  }
}