<?php

namespace Drupal\language_converter;

/**
 * Google Translate API PHP Client
 *
 * @author Praveen Achanta
 */
interface LanguagesInterface
{
  /**
   * List language supports
   *
   * @param string|null $targetLanguage Target language. ie: te, en
   * @return array array structure return above
   *
   * @throws Exception\InvalidTargetLanguageException
   * @throws Exception\TranslateErrorException
   */
  public function languages(string $targetLanguage = null);
}