CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

Language Converter module intends to improve the default Drupal Language section to transform it into
an automatic translation on the go, providing fast and full access to all language links.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/language_converter

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/search/language_converter


REQUIREMENTS
------------

Language Module is required for installing the module.
Step-1: This module requires Google API for translating from one language to another language, To create a Google API visit the page https://console.cloud.google.com/

Step-2: Create a Project and select it.

Step-3: Search for Cloud Translation API.

Step-4: Enable the Cloud Translation API, it might require billing details for the google console. It should be enabled for enabling the translation API.

Step-5: Once it is enabled, need to create credentials related to API.

Step-6: Once the API is created, need to add it in the below-provided configuration.


INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module.
   See https://www.drupal.org/node/895232 for further information.


CONFIGURATION
-------------

 * Configure the admin toolbar tools at (/admin/config/regional/language/settings).


MAINTAINERS
-----------

Current maintainers:
 * Praveen Achanta (praveen3555) - https://www.drupal.org/u/praveen3555

