<?php

namespace Drupal\language_converter\Exception;

/**
 * Google Translate API PHP Client
 *
 * @author Praveen Achanta
 */
class InvalidSourceLanguageException extends InvalidLanguageException
{
  /**
   * @inheritdoc 
   */
  public function __construct(
    $message = 'Invalid source language',
    $code = 3,
    \Exception $previous = null
  ) {
    parent::__construct($message, $code, $previous);
  }
}